Application: gvSIG desktop - gvSIG bugs #4662
Not recognized projection files don't have a CRS code in Add layer
09/12/2017 03:51 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:

Category: CRS

Target version: 2.4.0-2837 (rev. org.gvsig.deskiop-2.0.204)

Severity: Major Add-on version:

gvSIG version: 2.4.0 Add-on build:

gvSIG build: 2835 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Yes Hito:

Add-on name: Unknown

Description

When we add an ESRI Shapefile to a view, if its projection file is not identified with an EPSG (or ESRI) code, we see only the
"(projected on the fly)" string in the "Add layer" dialog without CRS code under the layer name.

So | attach a patch that assigns a null value to CRS code in order to have the "Unknown CRS. Assumed..." string followed by the View
CRS code, just like it happens when we add a shp without prj file. Furthermore, the patch contains also further improvements about
mapping ESRI and EPSG SR names.

Associated revisions

Revision 741 - 09/16/2017 04:32 PM - Joaquin del Cerro Murciano

refs #4662. Patch provided by Antonio Falciano.

History

#1 - 09/12/2017 08:00 PM - Antonio Falciano
- File nullSRS_2.patch added

| attach a new patch (nullSRS_2.patch) that solves also the issue related to corrupt WKT.

#2 - 09/14/2017 10:25 AM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2837 (rev. org.gvsig.desktop-2.0.204)

#3 - 09/16/2017 04:55 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#4 - 09/23/2017 12:44 PM - Antonio Falciano

- Status changed from Fixed to Closed

Files
nullSRS.patch 3.44 KB 09/12/2017 Antonio Falciano
nullSRS_2.patch 9.22 KB 09/12/2017 Antonio Falciano
